from django import  forms

class formUtente(forms.Form):
  def __init__(self,*args,**kwargs):
    forms.Form.__init__(self,*args,**kwargs)
    self.fields['codicefiscale'] = forms.CharField(required=True)
    self.fields['nome'] = forms.CharField(required=True)
    self.fields['datanascita'] = forms.DateField(required=False) #,input_formats=['%d/%m/%Y',])
    self.fields['luogonascita'] = forms.CharField(required=False)
    self.fields['mail'] = forms.CharField(required=False)
    self.fields['CancellaUtente'] = forms.BooleanField(required=False)
    self.fields['pin'] = forms.CharField(required=True)

class formPinMail(forms.Form):
  def __init__(self,*args,**kwargs):
    forms.Form.__init__(self,*args,**kwargs)
    self.fields['mail'] = forms.CharField(required=False)
    self.fields['pin'] = forms.CharField(required=True)



